%define __libtoolize true

Name: icecream-monitor
Version: 0.1
Epoch: 1
Release:	%mkrel 1
Summary:	GUI Monitor for icecream distributed compiled system
License:	GPL
Url: http://en.opensuse.org/Icecream
Group: Graphical desktop/KDE
Source0: ftp://ftp.suse.com/pub/projects/icecream/icemon-kde3.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:	icecream-devel >= 0.7.8
Obsoletes: icecream-doc

%description
GUI Monitor for icecream distributed compiled system

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%_bindir/*
%_menudir/*
%_libdir/*
%_datadir/applications/kde/icemon.desktop
%dir %_datadir/apps/icemon
%_datadir/apps/icemon/*
%_datadir/apps/kicker/applets/icemonapplet.desktop
%_docdir/HTML/*/icemon

#-----------------------------------------------------------------

%prep
%setup -q -n icemon-kde3

%build
%configure2_5x \
	--disable-debug \
	--disable-warnings \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--disable-rpath

%make

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %name "More Applications/Development/Development Environments" %buildroot/%_datadir/applications/kde/icemon.desktop %buildroot/%_menudir/%name

%clean
rm -rf %buildroot

%changelog
* Mon Aug 03 2006 Helio Chissini de Castro <helio@mandriva.com>
- First separated package from main icecream
